[med-svn] [Git][med-team/sumaclust][master] 4 commits: Updating fix_build patch after new upstream version

Pierre Gruet gitlab at salsa.debian.org
Sat Apr 4 08:45:18 BST 2020



Pierre Gruet pushed to branch master at Debian Med / sumaclust


Commits:
ba23c747 by Pierre Gruet at 2020-04-03T16:41:05+02:00
Updating fix_build patch after new upstream version

- - - - -
b5678dc0 by Pierre Gruet at 2020-04-03T17:57:44+02:00
Providing autopkgtests

- - - - -
099bc8b2 by Pierre Gruet at 2020-04-04T08:44:15+02:00
Adding new uploader

- - - - -
d7a6b35e by Pierre Gruet at 2020-04-04T08:49:09+02:00
Finalizing debian/changelog

- - - - -


8 changed files:

- debian/changelog
- debian/control
- debian/patches/fix_build.patch
- + debian/tests/clusterIdenticalInputs
- + debian/tests/clusterThreeInputs
- + debian/tests/clusterTwoInputsTwoSuccessiveCalls
- + debian/tests/clusterTwoInputsTwoThresholds
- + debian/tests/control


Changes:

=====================================
debian/changelog
=====================================
@@ -1,3 +1,10 @@
+sumaclust (1.0.35-2) UNRELEASED; urgency=medium
+
+  * Updating fix_build patch after new upstream version
+  * Providing autopkgtests
+
+ -- Pierre Gruet <pgtdebian at free.fr>  Sat, 04 Apr 2020 08:44:33 +0200
+
 sumaclust (1.0.35-1) unstable; urgency=medium
 
   * New upstream version


=====================================
debian/control
=====================================
@@ -1,7 +1,8 @@
 Source: sumaclust
 Maintainer: Debian Med Packaging Team <debian-med-packaging at lists.alioth.debian.org>
 Uploaders: Tim Booth <tbooth at ceh.ac.uk>,
-           Andreas Tille <tille at debian.org>
+           Andreas Tille <tille at debian.org>,
+           Pierre Gruet <pgtdebian at free.fr>
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 12)


=====================================
debian/patches/fix_build.patch
=====================================
@@ -2,22 +2,19 @@ Description: Fix Build
 Bug-Debian: https://bugs.debian.org/952093
             https://bugs.debian.org/954262
 Author: Andreas Tille <tille at debian.org>
-Last-Update: Wed, 01 Apr 2020 14:36:27 +0200
+Last-Update: Fri, 03 Apr 2020 16:40:17 +0200
 
 --- a/Makefile
 +++ b/Makefile
-@@ -1,6 +1,6 @@
+@@ -1,4 +1,4 @@
 -PREFIX=/usr/local
 +PREFIX=/usr
  
--CFLAGS=-I$(PREFIX)/include
-+CFLAGS=-I$(PREFIX)/include -I$(CURDIR)/sumalibs
- 
- EXEC = sumaclust
+ CFLAGS=-I$(PREFIX)/include
  
 --- a/global.mk
 +++ b/global.mk
-@@ -8,9 +8,9 @@ LDFLAGS:=$(LDFLAGS)
+@@ -8,9 +8,9 @@
  
  
  ifeq ($(CC),gcc)


=====================================
debian/tests/clusterIdenticalInputs
=====================================
@@ -0,0 +1,27 @@
+#!/bin/sh
+# autopkgtest check: Run sumaclust on two identical chains with a threshold of 
+# 1 to check that only one cluster is created.
+# (C) 2020 Pierre Gruet.
+# Author: Pierre Gruet <pgtdebian at free.fr>
+
+set -e
+
+WORKDIR=$(mktemp -d)
+trap "rm -rf $WORKDIR" 0 INT QUIT ABRT PIPE TERM
+cd $WORKDIR
+cat <<EOF > inputIdentical.fasta
+>SEQ_TEST1
+CCAGATCTAGCTAGCTAGCTACAGCATCGACATCAGCACTCAGCACTCAG
+>SEQ_TEST2
+CCAGATCTAGCTAGCTAGCTACAGCATCGACATCAGCACTCAGCACTCAG
+EOF
+
+sumaclust -t 1. inputIdentical.fasta 2>&1 | \
+  sed -n '/clusters/ s/.*Done : 100 \% *//p' | \
+  sed -n 's/ clusters.*//p' | \
+  grep -q "1"
+
+if [ $? -ne 0 ]; then
+  exit 1
+fi
+


=====================================
debian/tests/clusterThreeInputs
=====================================
@@ -0,0 +1,29 @@
+#!/bin/sh
+# autopkgtest check: Run sumaclust on three different chains with a threshold 
+# of 0.97 to check that only two clusters are created.
+# (C) 2020 Pierre Gruet.
+# Author: Pierre Gruet <pgtdebian at free.fr>
+
+set -e
+
+WORKDIR=$(mktemp -d)
+trap "rm -rf $WORKDIR" 0 INT QUIT ABRT PIPE TERM
+cd $WORKDIR
+cat <<EOF > inputThreeDifferent.fasta
+>SEQ_TEST1
+CCAGATCTAGCTAGCTAGCTACAGCATCGACATCAGCACTCAGCACTCAG
+>SEQ_TEST2
+TCAGATCTAGCTAGCTAGCTACAGCATCGACATCAGCACTCAGCACTCAG
+>SEQ_TEST3
+TTTCAGATCTAGCAAGCGAGCTGACTTACAGCATCGACATCAGCACTCAGCACTCAGTGAT
+EOF
+
+sumaclust -t 0.97 inputThreeDifferent.fasta 2>&1 | \
+  sed -n '/clusters/ s/.*Done : 100 \% *//p' | \
+  sed -n 's/ clusters.*//p' | \
+  grep -q "2"
+
+if [ $? -ne 0 ]; then
+  exit 1
+fi
+


=====================================
debian/tests/clusterTwoInputsTwoSuccessiveCalls
=====================================
@@ -0,0 +1,32 @@
+#!/bin/sh
+# autopkgtest check: Run sumaclust on two different chains with a threshold of  
+# 0.97, and then do a second run based on the output of the first one.
+# Check that the chains are the same in the two output files, which is a kind 
+# of idempotency test.
+# (C) 2020 Pierre Gruet.
+# Author: Pierre Gruet <pgtdebian at free.fr>
+
+set -e
+
+WORKDIR=$(mktemp -d)
+trap "rm -rf $WORKDIR" 0 INT QUIT ABRT PIPE TERM
+cd $WORKDIR
+cat <<EOF > inputTwoDifferent.fasta
+>SEQ_TEST1
+CCAGATCTAGCTAGCTAGCTACAGCATCGACATCAGCACTCAGCACTCAG
+>SEQ_TEST2
+CCAGATGATCTAGCTAGCTAGCTACAGCATTTGAACATCAGCACTGGATCAG
+EOF
+
+sumaclust -t 0.97 inputTwoDifferent.fasta > outputTwoDifferent.fasta 2>&1
+sumaclust -t 0.97 outputTwoDifferent.fasta > outputTwoDifferent2.fasta 2>&1
+
+sed -n -e '2p;4p' outputTwoDifferent.fasta > extract
+sed -n -e '2p;4p' outputTwoDifferent2.fasta > extract2
+
+diff extract extract2
+
+if [ $? -ne 0 ]; then
+  exit 1
+fi
+


=====================================
debian/tests/clusterTwoInputsTwoThresholds
=====================================
@@ -0,0 +1,37 @@
+#!/bin/sh
+# autopkgtest check: Run sumaclust on two different chains with two different 
+# thresholds: 0.9 and 0.8. The first run must result in 2 clusters, the second 
+# one must result in 1 cluster.
+# (C) 2020 Pierre Gruet.
+# Author: Pierre Gruet <pgtdebian at free.fr>
+
+set -e
+
+WORKDIR=$(mktemp -d)
+trap "rm -rf $WORKDIR" 0 INT QUIT ABRT PIPE TERM
+cd $WORKDIR
+cat <<EOF > inputTwoDifferent.fasta
+>SEQ_TEST1
+CCAGATCTAGCTAGCTAGCTACAGCATCGACATCAGCACTCAGCACTCAG
+>SEQ_TEST2
+CCAGATGATCTAGCTAGCTAGCTACAGCATTTGAACATCAGCACTGGATCAG
+EOF
+
+sumaclust -t 0.9 inputTwoDifferent.fasta 2>&1 | \
+  sed -n '/clusters/ s/.*Done : 100 \% *//p' | \
+  sed -n 's/ clusters.*//p' | \
+  grep -q "2"
+
+if [ $? -ne 0 ]; then
+  exit 1
+fi
+
+sumaclust -t 0.8 inputTwoDifferent.fasta 2>&1 | \
+  sed -n '/clusters/ s/.*Done : 100 \% *//p' | \
+  sed -n 's/ clusters.*//p' | \
+  grep -q "1"
+
+if [ $? -ne 0 ]; then
+  exit 1
+fi
+


=====================================
debian/tests/control
=====================================
@@ -0,0 +1,2 @@
+Tests: clusterIdenticalInputs, clusterThreeInputs, clusterTwoInputsTwoSuccessiveCalls, clusterTwoInputsTwoThresholds
+Depends: @



View it on GitLab: https://salsa.debian.org/med-team/sumaclust/-/compare/57e9cf1041ecff94f17461f1ebb53f0ad732d111...d7a6b35e2cc87576446bc35be882d8ebd3cad269

-- 
View it on GitLab: https://salsa.debian.org/med-team/sumaclust/-/compare/57e9cf1041ecff94f17461f1ebb53f0ad732d111...d7a6b35e2cc87576446bc35be882d8ebd3cad269
You're receiving this email because of your account on salsa.debian.org.


-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://alioth-lists.debian.net/pipermail/debian-med-commit/attachments/20200404/9cc0813d/attachment-0001.html>


More information about the debian-med-commit mailing list